[From nobody Fri Feb 15 00:31:15 2008
Return-Path: &lt;sms@TO.GD-ES.COM&gt;
Delivered-To: d95hjort@dtek.chalmers.se
Received: by mail.dtek.chalmers.se (Postfix)
	id 8BF923B240; Sun, 13 Oct 2002 06:25:18 +0200 (MEST)
Delivered-To: dvd@dtek.chalmers.se
Received: from wlv.to.gd-es.com (WLV.TO.GD-ES.COM [199.107.242.11])
	by mail.dtek.chalmers.se (Postfix) with ESMTP id 3452F3B23F
	for &lt;dvd@dtek.chalmers.se&gt;; Sun, 13 Oct 2002 06:25:16 +0200 (MEST)
Received: (from sms@localhost)
	by wlv.to.gd-es.com (8.11.6/8.10.1) id g9D4OtU10294
	for dvd@dtek.chalmers.se; Sat, 12 Oct 2002 21:24:55 -0700 (PDT)
Date: Sat, 12 Oct 2002 21:24:55 -0700 (PDT)
From: &quot;Steven M. Schultz&quot; &lt;sms@TO.GD-ES.COM&gt;
Message-Id: &lt;200210130424.g9D4OtU10294@wlv.to.gd-es.com&gt;
To: dvd@dtek.chalmers.se
Subject: libdvdcss-1.2.3

Hi -

	I saw that libdvdcss-1.2.3 was released earlier today (tonight?) and
	thought I'd give it a try.

	Hmmm, the BSDI stuff was changed I see and (slightly) broken in the
	process.   

	The problem is that &quot;-ldvd&quot; is not added if the internal BSDi modules
	are _not_ used.   Systems that have &lt;dvd.h&gt; need a &quot;-ldvd&quot; added to
	the link line, while systems that use the builtin 'bsdi_ioctl.c'
	do not need -ldvd

	The changes are small.   I added a new 'SYS_BSDI_LIBDVD' that is
	defined if external DVD support is present.   If internal DVD support
	is being used then SYS_BSDI  is used.

	Elegant enough?

	Cheers,
	Steven Schultz
	sms@to.gd-es.com


=========================cut here==========================
--- configure.ac.dist	Fri Oct 11 03:03:48 2002
+++ configure.ac	Sat Oct 12 21:19:19 2002
@@ -80,11 +80,12 @@
     LINUX_DVD_STRUCT=1
   ])
   dnl
-  dnl BSDI: dvd.h
+  dnl BSDI: dvd.h  - requires -ldvd so define SYS_BSDI_LIBDVD
   dnl
   AC_EGREP_HEADER(dvd_struct,dvd.h,[
     AC_DEFINE(DVD_STRUCT_IN_DVD_H, 1,
               Define if &lt;dvd.h&gt; defines DVD_STRUCT.)
+    SYS_BSDI_LIBDVD=1
     LINUX_DVD_STRUCT=1
   ],[
     dnl
@@ -140,6 +141,7 @@
 CFLAGS=&quot;-D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DDVDCSS_DIST $CFLAGS&quot;
 
 AM_CONDITIONAL(SYS_BSDI, test &quot;x$SYS_BSDI&quot; = &quot;x1&quot;)
+AM_CONDITIONAL(SYS_BSDI_LIBDVD, test &quot;x$SYS_BSDI_LIBDVD&quot; = &quot;x1&quot;)
 AM_CONDITIONAL(SYS_MSVC, test &quot;x$SYS_MSVC&quot; = &quot;x1&quot;)
 
 AC_OUTPUT([Makefile src/Makefile src/dvdcss/Makefile test/Makefile debian/Makefile doc/Makefile])
--- src/Makefile.am.dist	Fri Oct 11 16:45:43 2002
+++ src/Makefile.am	Sat Oct 12 21:08:05 2002
@@ -21,6 +21,9 @@
 
 if SYS_BSDI
 bsdi_sources = $(bsdi_extras)
+endif
+
+if SYS_BSDI_LIBDVD
 bsdi_libadd = -ldvd
 endif
 
--- test/Makefile.am.dist	Tue Jul 16 15:47:40 2002
+++ test/Makefile.am	Sat Oct 12 21:07:35 2002
@@ -1,8 +1,12 @@
 
 noinst_PROGRAMS = csstest #dvd_region
 
+if SYS_BSDI_LIBDVD
+bsdi_libadd = -ldvd
+endif
+
 csstest_SOURCES = csstest.c
-csstest_LDADD = $(top_builddir)/src/libdvdcss.la
+csstest_LDADD = $(top_builddir)/src/libdvdcss.la $(bsdi_libadd)
 csstest_CFLAGS = -I$(top_srcdir)/src
 
 #dvd_region_SOURCES = dvd_region.c
]